#include <qwidget.h>
#include <qpushbutton.h>
#include <qmainwindow.h>

class TestWidget : public QWidget
{
    Q_OBJECT
public:
    TestWidget(QWidget* parent = 0, const char* name = 0);

public slots:
    void slotClicked();

signals:
    void sigDelWidget();
};

class TestWindow : public QMainWindow
{
    Q_OBJECT
public:
    TestWindow(QWidget* parent = 0, const char* name = 0);

public slots:
    void slotKillTestWidget();

private:
    TestWidget      *w;
};

